%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%global __os_install_post %{nil}
%global debug_package %{nil}

%global provider        github
%global provider_tld    com
%global project         kumina
%global repo            libvirt_exporter
# https://github.com/kumina/libvirt_exporter
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          3be78829f4c5f5a6a2c9f4aad6e90044670969b3
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%define current_version 0.0.1.40

Name:           libvirt_exporter
Version:        %{current_version}
Release:        1%{?dist}
Summary:        Prometheus libvirt exporter
License:        MIT
Group:          Development/Languages/Other
Url:            https://virtuozzo.com
Source0:	%{repo}-%{current_version}.tar.bz2
Source1:        libvirt-exporter.service
BuildRequires:  golang
BuildRequires:  libvirt-devel >= 3.6.0
BuildRequires:  libvirt-go-devel >= 4.0.0
BuildRequires:  libxml2-devel
BuildRequires:	golang-github-matttproud-golang_protobuf_extensions-devel
BuildRequires:	golang-github-prometheus-procfs-devel
BuildRequires:	golang-github-prometheus-client_golang-devel
BuildRequires:	golang-github-prometheus-client_model-devel
BuildRequires:  golang-github-prometheus-common-devel
BuildRequires:  golang-github-beorn7-perks-devel

ExclusiveArch:	x86_64

%description
This exporter connects to any libvirt daemon and exports per-domain metrics related to CPU,
memory, disk and network usage. By default, this exporter listens on TCP port 9177.

%prep
%setup -q
mkdir -p src/%{provider}.%{provider_tld}/%{project}
ln -s ../../../ src/%{import_path}

%build
GOPATH="${PWD}:%{gopath}" %{gobuild}

%install
install -p -d %{buildroot}/%{_bindir}/
install -m 0755 %{name}-%{version} %{buildroot}/%{_bindir}/%{name}
install -p -D -m 0755 %{SOURCE1} %{buildroot}%{_unitdir}/libvirt-exporter.service

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%attr(644, root, root) %{_unitdir}/libvirt-exporter.service

%changelog

* Tue Apr 16 2019 Maxim Nestratov <mnestratov@virtuozzo.com> 0.0.1.38
 - don't poll libvirt in parallel #VSTOR-19759 (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Thu Mar 28 2019 Maxim Nestratov <mnestratov@virtuozzo.com> 0.0.1.37
 - add project_id field to metrics, #VSTOR-21609 (Pavel Ganyushin
<pavel.ganyushin@virtuozzo.com>)

* Fri Aug 17 2018 VZ Auto Builder <dsilakov@virtuozzo.com> 0.0.1.35
 - VSTOR-8834 (Anton Kurbatov <akurbatov@virtuozzo.com>) (#VSTOR-8834)
 - VSTOR-8834 (Anton Kurbatov <akurbatov@virtuozzo.com>) (#VSTOR-8834)

* Fri Aug 17 2018 VZ Auto Builder <dsilakov@virtuozzo.com> 0.0.1.34
 - VSTOR-8834 (Anton Kurbatov <akurbatov@virtuozzo.com>) (#VSTOR-8834)
 - VSTOR-8834 (Anton Kurbatov <akurbatov@virtuozzo.com>) (#VSTOR-8834)

* Mon Aug 13 2018 Maxim Nestratov <mnestratov@virtuozzo.com> 0.0.1.33
 - Report block device latency histogram metrics (Anton Kurbatov
<akurbatov@virtuozzo.com>) (#VSTOR-8834)

* Thu Jun 14 2018 Denis Silakov <dsilakov@virtuozzo.com> 0.0.1.16
 - Report domain state (Eugene Kolomeetz <klm@virtuozzo.com>)

* Fri Mar 02 2018 Pavel Ganyushin <pganyushin@virtuozzo.com> 0.0.1.13
 - get memory info, #VSTOR-8087

* Thu Feb 15 2018 Denis Silakov <dsilakov@virtuozzo.com> 0.0.1.6
 - Fix sources once again
 - Use dummy sources for clean build experiment
 - Fix source name
 - Fix sources
 - Add dummy changelog
 - build directly from our git (Alexander Stefanov <atefanov@virtuozzo.com>)

* Thu Feb 15 2018 Denis Silakov <dsilakov@virtuozzo.com> 0.0.1.5
 - Use dummy sources for clean build experiment
 - Fix source name
 - Fix sources
 - Add dummy changelog
 - build directly from our git (Alexander Stefanov <atefanov@virtuozzo.com>)

